<?php 
require_once "../modelos/Tiposervicio.php";

$tiposervicio=new Tiposervicio();

$idtiposervicio=isset($_POST["idtiposervicio"])? limpiarCadena($_POST["idtiposervicio"]):"";
$nombre=isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$descripcion=isset($_POST["descripcion"])? limpiarCadena($_POST["descripcion"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
	if (empty($idtiposervicio)) {
		$rspta=$tiposervicio->insertar($nombre,$descripcion);
		echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
	}else{
         $rspta=$tiposervicio->editar($idtiposervicio,$nombre,$descripcion);
		echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
	}
		break;
	

	case 'desactivar':
		$rspta=$tiposervicio->desactivar($idtiposervicio);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
		break;
	case 'activar':
		$rspta=$tiposervicio->activar($idtiposervicio);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
		break;
	
	case 'mostrar':
		$rspta=$tiposervicio->mostrar($idtiposervicio);
		echo json_encode($rspta);
		break;

	case 'selectTiposervicio':
		$rspta=$tiposervicio->select();
		while ($reg=$rspta->fetch_object()) {
			echo '<option value=' . $reg->idtiposervicio.'>'.$reg->nombre.'</option>';
		}
	break;
	
    case 'listar':
		$rspta=$tiposervicio->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idtiposervicio.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idtiposervicio.')">
						<i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" 
						onclick="mostrar('.$reg->idtiposervicio.')"><i class="fa fa-pencil"></i></button>'.' '.'
						<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idtiposervicio.')">
						<i class="fa fa-check"></i></button>',
            "1"=>$reg->nombre,
            "2"=>$reg->descripcion,
            "3"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
		break;
}
 ?>